package com.bonus.canteen.core.android.mapper;

import com.bonus.canteen.core.android.domain.BaseSetting;
import com.bonus.canteen.core.android.domain.CarouselImage;
import com.bonus.canteen.core.android.dto.AppDTO;
import com.bonus.canteen.core.android.vo.AppVersionVo;
import com.bonus.canteen.core.android.vo.DeviceInfoVo;

import java.util.List;

/**
 * 设备绑定多档口子Mapper接口
 *
 * @author xsheng
 * @date 2025-04-03
 */
public interface BaseSettingMapper {

    int addBaseSetting(BaseSetting baseSetting);

    int updateBaseSettingByKey(BaseSetting baseSetting);

    int deleteBaseSettingByKey(BaseSetting baseSetting);

//    List<BaseSetting> getBaseSettingByKey(String key);

    BaseSetting getBaseSettingByKey(BaseSetting baseSetting);

    int addCarouseImage(CarouselImage carouselImage);

    List<CarouselImage> getCarouselImage(CarouselImage carouselImage);

    int updateCarouseImageById(CarouselImage carouselImage);

    int delCarouseImageById(CarouselImage carouselImage);
}
